- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TPageStateFormatter

TPageStateFormatter class.

TPageStateFormatter is a utility class to transform the page state into and from a string that can be properly saved in persistent storage.

Depending on the EnableStateValidation and EnableStateEncryption, TPageStateFormatter may do HMAC validation and encryption to prevent the state data from being tampered or viewed. The private keys and hashing/encryption methods are determined by SecurityManager.

Since: 3.1
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | serialize ( TPage $page, mixed $data)
mixed | unserialize ( TPage $page, string $data)

Method Details

## serialize

public string serialize | (TPage $page , mixed $data )

Input
TPage | $page |
mixed | $data | state data
Output
string | serialized data
Exception

## unserialize

public mixed unserialize | (TPage $page , string $data )

Input
TPage | $page |
string | $data | serialized data
Output
mixed | unserialized state data, null if data is corrupted
Exception